当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助!在ubuntu 7.04下安装emacs22.1遇到问题
帖子发表于 : 2007-10-06 16:36 

注册: 2007-06-23 17:27
帖子: 82
系统: Linux Mint 13
送出感谢: 1
接收感谢: 0 次
ubutntu 7.04的emacs版本是21.4.1,因为22.1.1对gdb的支持比较好,我下载了emacs-22.1.tar.gz自己安装,安装完成后,在桌面环境下新的emacs可以正常启动正常运行,但是我Ctrl-Alt-F1切到控制台环境下运行,却提示“emacs : Cannot open termcap database file.”。
请问这是怎么一回事?我该如何解决?

另外还有一个更一般性的问题,如果在没有.deb包的情况下要从.tar.gz自己编译安装,该注意那些问题?是否要在安装之前先用Synaptic删除老版本?
以这个emacs为例,等将来有了ubtuntu官方的.deb包,我是不是要先删除我自己手动安装的这个?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-10-06 16:56 
头像

注册: 2006-01-19 11:55
帖子: 1114
地址: HUST
送出感谢: 0 次
接收感谢: 0 次
没编译过22,只编译过23
编译的默认是安装到/usr/local的,和你用姓李得安装的不会冲突,不过会用同一套~/.emacs配置而已,这可能会有点问题。
ps:emacs这玩意自己编译安装的好,用源里的麻烦。。。另外23狠稳定,可以拿来用了,特别是对使用utf-8 locale的,绝对推荐。。。


_________________
http://www.classfoo.org


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-10-06 17:31 

注册: 2007-06-23 17:27
帖子: 82
系统: Linux Mint 13
送出感谢: 1
接收感谢: 0 次
juanzhewudi 写道:
没编译过22,只编译过23
编译的默认是安装到/usr/local的,和你用姓李得安装的不会冲突,不过会用同一套~/.emacs配置而已,这可能会有点问题。
ps:emacs这玩意自己编译安装的好,用源里的麻烦。。。另外23狠稳定,可以拿来用了,特别是对使用utf-8 locale的,绝对推荐。。。


23是不是需要用cvs才能得到?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-10-06 18:02 
头像

注册: 2006-01-19 11:55
帖子: 1114
地址: HUST
送出感谢: 0 次
接收感谢: 0 次
duyanning 写道:
juanzhewudi 写道:
没编译过22,只编译过23
编译的默认是安装到/usr/local的,和你用姓李得安装的不会冲突,不过会用同一套~/.emacs配置而已,这可能会有点问题。
ps:emacs这玩意自己编译安装的好,用源里的麻烦。。。另外23狠稳定,可以拿来用了,特别是对使用utf-8 locale的,绝对推荐。。。


23是不是需要用cvs才能得到?

对,论坛上有zhan的一篇及其详细的帖子,你找找。。


_________________
http://www.classfoo.org


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译